export declare const ConfigurationsMappings: {
    SelectComponent: {
        label: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        labelDescription: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        hint: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
    };
    InputComponent: {
        label: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        labelDescription: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        placeholder: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        maxSelectableDate: (dateStr: string) => Date;
        hint: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
    };
    TextareaComponent: {
        label: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        labelDescription: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        description: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        placeholder: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
        hint: (translationKey: string, { translateService }: {
            translateService: import("@ngx-translate/core").TranslateService;
        }) => any;
    };
};
